Public APIAPI ReferenceDeployments
Get details of an app's deployment.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
GET
/v1/apps/{appId}/deployments/{deploymentId}Returns deployment details after checking that the deployment belongs to the specified app.
Authorization
bearerAuth AuthorizationBearer <token>
Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.
In: header
Path Parameters
appId*string
deploymentId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/apps/string/deployments/string"{ "compute": { "imageDigest": "string", "imageStatus": "string", "kind": "string", "maxInstances": 0, "minInstances": 0, "port": 0, "regions": [ "string" ], "sources": { "maxInstances": "string", "minInstances": "string", "port": "string", "regions": "string", "tier": "string" }, "tier": "string" }, "deployment": { "appId": "string", "createdAt": "string", "errorCode": "string", "fileCount": 0, "id": "string", "meta": true, "preview": { "capturedAt": "string", "image": { "token": "string", "version": "string" }, "status": "string" }, "readyAt": "string", "redeployOf": "string", "shortId": "string", "status": "string", "target": "string", "totalBytes": 0, "url": "string", "urls": [ "string" ] }, "manifestSummary": { "bytes": 0, "files": 0, "rules": 0 }}